DOMSerializer (Other Classes)
Date: 2018-10-17

org.apache.xml.serialize

## Interface DOMSerializer

- All Known Implementing Classes:
    BaseMarkupSerializer, HTMLSerializer, TextSerializer, XHTMLSerializer, XML11Serializer, XMLSerializer

  Deprecated.
  This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

      public interface DOMSerializer

  Interface for a DOM serializer implementation.
  Version:
    $Revision: 699892 $ $Date: 2008-09-28 17:08:27 -0400 (Sun, 28 Sep 2008) $
  Author:
    Scott Boag, Assaf Arkin

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(org.w3c.dom.Document doc)` Deprecated. Serializes the DOM document.
    `void` | `serialize(org.w3c.dom.DocumentFragment frag)` Deprecated. Serializes the DOM document fragment.
    `void` | `serialize(org.w3c.dom.Element elem)` Deprecated. Serialized the DOM element.

- - ### Method Detail

    - #### serialize

          void serialize(org.w3c.dom.Element elem)
                  throws java.io.IOException

      Deprecated.
      Serialized the DOM element. Throws an exception only if an I/O exception occured while serializing.
      Parameters:
        `elem` - The element to serialize
      Throws:
        `java.io.IOException` - An I/O exception occured while serializing

    - #### serialize

          void serialize(org.w3c.dom.Document doc)
                  throws java.io.IOException

      Deprecated.
      Serializes the DOM document. Throws an exception only if an I/O exception occured while serializing.
      Parameters:
        `doc` - The document to serialize
      Throws:
        `java.io.IOException` - An I/O exception occured while serializing

    - #### serialize

          void serialize(org.w3c.dom.DocumentFragment frag)
                  throws java.io.IOException

      Deprecated.
      Serializes the DOM document fragment. Throws an exception only if an I/O exception occured while serializing.
      Parameters:
        `frag` - The document fragment to serialize
      Throws:
        `java.io.IOException` - An I/O exception occured while serializing

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.